%define module pyflakes

Name:           python-%{module}
Version:        0.7.3
Release:        %mkrel 4
Summary:        Simple program which checks Python source files for errors
License:        MIT
Group:          Development/Python
URL:            https://launchpad.net/pyflakes
Source:         https://launchpad.net/pyflakes/+download/%{module}-%{version}.tar.gz
Buildrequires:  python-devel
Buildrequires:  python-setuptools
Provides:       pyflakes
Obsoletes:      pyflakes
BuildArch:      noarch

%description
Pyflakes is a simple program which checks Python source files for errors. It is
similar to PyChecker in scope, but differs in that it does not execute the
modules to check them. This is both safer and faster, although it does not
perform as many checks.
Unlike PyLint, Pyflakes checks only for logical errors in programs; it does
not perform any checks on style.

%package -n python3-%{module}
Summary:        Simple program which checks Python source files for errors
Buildrequires:  python3-devel
Buildrequires:  python3-setuptools

%description -n python3-%{module}
Pyflakes is a simple program which checks Python source files for errors. It is
similar to PyChecker in scope, but differs in that it does not execute the
modules to check them. This is both safer and faster, although it does not
perform as many checks.
Unlike PyLint, Pyflakes checks only for logical errors in programs; it does
not perform any checks on style.

This is a version for Python 3.

%prep
%setup -qn %{module}-%{version}

# Python 3 prep
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python} setup.py build

# Python 3 build
pushd %{py3dir}
%{__python3} setup.py build
popd

%check
%{__python} setup.py test
pushd %{py3dir}
%{__python3} setup.py test
popd

%install
%__rm -rf %{buildroot}

# Python 3 first
pushd %{py3dir}
%{__python3} setup.py install -O1 --root %{buildroot}
for FILE in %{buildroot}%{_bindir}/*; do
    NAME=$(basename $FILE)
    mv $FILE %{buildroot}%{_bindir}/python3-$NAME
done
popd

# Python 2
%__python setup.py install -O1 --root %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{module}
%{python_sitelib}/*

%files -n python3-%{module}
%{_bindir}/python3-%{module}
%{python3_sitelib}/*




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.7.3-4.mga4
+ Revision: 543973
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.3-3.mga4
+ Revision: 499190
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 grenoya <grenoya> 0.7.3-2.mga4
+ Revision: 490589
- add Provides and Obsoletes on pyflakes

* Wed Oct 02 2013 grenoya <grenoya> 0.7.3-1.mga4
+ Revision: 490489
- add setuptools as BR
- new version 0.7.3
- adapt spec file to new name
- add python3 package
- move pyflakes to python-pyflakes to fit policy

* Sun Jan 13 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 378401
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 08 2011 grenoya <grenoya> 0.5.0-1.mga2
+ Revision: 141241
- upgrade to 0.5.0
- clean spec
- fix url and licence
- use macro when possible
- imported package pyflakes

